Skip to content
OpenPostDocs
OpenPostDocs
Workflows

Store an encrypted workflow credential

POST/workflow-connections

Authorization

AuthorizationBearer <token>

In: header

Query Parameters

workspace_id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/workflow-connections?workspace_id=string" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "token": "string"  }'
{  "$schema": "https://example.com/api/v1/schemas/WorkflowConnection.json",  "created_at": "2019-08-24T14:15:22Z",  "header_name": "string",  "host": "string",  "id": "string",  "kind": "string",  "name": "string"}